version: "3"
services:
  debian:
    image: ubuntu:24.04  
    container_name: ubuntu
    ports:
      - 20022:22
      - 23389:3389
      - 33330:33330
    volumes:
      - /opt/docker-data/ubuntu/data:/mnt/data
    stdin_open: true
    tty: true
    shm_size: 0.8G      #共享内存
    #privileged: true    风险问题
    restart: unless-stopped